aboutsummaryrefslogtreecommitdiffstats
path: root/systems/build_base_machine.sh
diff options
context:
space:
mode:
authorAihua Li <aihua.li@huawei.com>2015-01-20 18:59:00 -0800
committerAihua Li <aihua.li@huawei.com>2015-02-04 10:07:35 -0800
commit15be02bd8a6d302ea883f624fdb197d85ebb09d1 (patch)
tree7a0908d9c6633403ee65c705b67af56db4544408 /systems/build_base_machine.sh
parent1c01799faec20d5b26b39945dae25098af5adc31 (diff)
Added baseline project directory layout
Change-Id: I4295fa3cb02b13677662d407dc8f81a16f60110c Reviewed-by: Maryam Tahhan <maryam.tahhan@intel.com> Reviewed-by: Stephen Finucane <stephen.finucane@intel.com> Reviewed-by: Bin Hu <bh526r@att.com> JIRA: VSPERF-15 Signed-off-by: Aihua Li <aihua.li@huawei.com>
Diffstat (limited to 'systems/build_base_machine.sh')
-rwxr-xr-xsystems/build_base_machine.sh39
1 files changed, 39 insertions, 0 deletions
diff --git a/systems/build_base_machine.sh b/systems/build_base_machine.sh
new file mode 100755
index 00000000..82cf4762
--- /dev/null
+++ b/systems/build_base_machine.sh
@@ -0,0 +1,39 @@
+#!/bin/bash
+#
+# Top level scripts to build basic setup for the host
+#
+
+# Copyright 2015 OPNFV
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+#
+# Contributors:
+# Aihua Li, Huawei Technologies.
+
+# function to emit error message before quitting
+function die() {
+ echo $1
+ exit 1
+}
+
+# determine this machine's distro-version
+
+distro=`lsb_release -i | cut -f 2`
+distro_dir=$distro
+
+if [ -d "$distro_dir" ] && [ -e $distro_dir/build_base_machine.sh ]; then
+ $distro_dir/build_base_machine.sh
+else
+ die "$distro_dir is not yet supported"
+fi